onEvent('recipes', (event) => {
    event.recipes.extendedcrafting.shaped_table('mysticalagradditions:creative_essence', ['   A   ', '  ABA  ', ' ABBBA ', 'ABBCBBA', ' ABBBA ', '  ABA  ', '   A   '], {
        A: 'mysticalagradditions:insanium_essence',
        B: 'mysticalagriculture:supremium_essence',
        C: 'minecraft:nether_star'
    }).id('kubejs:mysticalagradditions/creative_essence')
  })